
#ifndef	_BITMAP_H
#include <Bitmap.h>
#endif
#ifndef _MENU_ITEM_H
#include <MenuItem.h>
#endif
#ifndef _MENU_H
#include <Menu.h>
#endif
#ifndef _MENU_BAR_H
#include <MenuBar.h>
#endif
#ifndef	_SCROLL_VIEW_H
#include <ScrollView.h>
#endif
#include "shape.h"

#include <math.h>

#ifndef	TSB
#define	TSB


/*------------------------------------------------------------*/

class	T3d : public BView {
public:
		BBitmap		*the_bitmap;
		long		*poly_scratch;
		long		size_x;
		long		size_y;
		

					T3d(BRect r, long flags, long size_x, long size_y);
virtual				~T3d();
virtual	void		Draw(BRect);
		void		Draw();
		void		fill_triangle(BPoint pt_a, BPoint pt_b, BPoint pt_c, ulong color);
		void		fill_4(BPoint pt_a, BPoint pt_b, BPoint pt_c, BPoint pt_d, ulong color);
		void		clear();
};

/*------------------------------------------------------------*/

#endif
